<?php

/**

*

* @package Board3 Portal v2.1+ - Wowheroes Ranking Block V2.0.0

* @copyright (c) Board3 Group ( www.board3.de )

* @license http://opensource.org/licenses/gpl-license.php GNU Public License

* @Wowheroes Ranking Block V2.0.0 by Talonos @ http://pretereo-stormrage.co.uk

*/



namespace talonos\b3pwowheroes;

/**

* @package wowheroes

*/

class wowheroes extends \board3\portal\modules\module_base

{

	/**

	* Allowed columns: Just sum up your options (Exp: left + right = 10)

	* top		1

	* left		2

	* center	4

	* right		8

	* bottom	16

	*/

	public $columns = 10;



	/**

	* Default wowheroes

	*/

	public $name = 'PORTAL_WOWHEROES_TITLE';



	/**

	* Default module-image:

	* file must be in "{T_THEME_PATH}/images/portal/"

	*/

	public $image_src = '';



	/**

	* module-language file

	* file must be in "language/{$user->lang}/mods/portal/"

	*/

	    public $language = array(

        'vendor'    => 'talonos/b3pwowheroes',

        'file'        => 'wowheroes',

    );

	



    /** @var \phpbb\config\config */

    protected $config;



    /** @var \phpbb\template\template */

    protected $template;

	/** @var helper */
	protected $helper;

    /**

     * Constructor for clock module

     *

     * @param \phpbb\config\config $config phpBB config

     * @param \phpbb\template\template $template phpBB template

     */

    public function __construct($config, $template, \phpbb\controller\helper $helper, \phpbb\collapsiblecategories\operator\operator $operator = null)

    {

        $this->config = $config;

        $this->template = $template;
		
		$this->helper = $helper;
		$this->operator = $operator;

    }







	public function get_template_side($module_id)

	{
if ($this->operator !== null)
{
    $fid = 'wowheroes_1'; // can be any unique string to identify your extension's collapsible element
    $this->template->assign_vars(array(
        'S_WOWHEROES_HIDDEN' => in_array($fid, $this->operator->get_user_categories()),
        'U_WOWHEROES_COLLAPSE_URL' => $this->helper->route('phpbb_collapsiblecategories_main_controller', array(
            'forum_id' => $fid,
            'hash' => generate_link_hash("collapsible_$fid")))
    ));
}
		$this->template->assign_vars(array(

			'HEROESTHEME'	=> $this->config['board3_wowheroestheme_' . $module_id],
			'HEROESREGION'			=> $this->config['board3_wowheroesregion_' . $module_id],

			'HEROESREALM'			=> $this->config['board3_wowheroesrealm_' . $module_id],

			'HEROESGUILD'			=> $this->config['board3_wowheroesguild_' . $module_id],

		));



		return '@talonos_b3pwowheroes/wowheroes.html';

	}



public function get_template_acp($module_id)

   {

      return array(

         'title'   => 'PORTAL_WOWHEROES_TITLE',

         'vars'   => array(

            'legend1'                     => 'PORTAL_WOWHEROES_TITLE',

				'board3_wowheroestheme_' . $module_id		=> array('lang' => 'WOWHEROES_THEME',	        'validate' => 'string', 'type' => 'custom',	'explain' => true,	'method' => 'select_wowheroestheme', 'submit' => 'store_wowheroestheme'),

				'board3_wowheroesregion_' . $module_id	=> array('lang' => 'WOWHEROES_REGION',		'validate' => 'string',	'type' => 'text:3:3',	'explain' => true),

				'board3_wowheroesrealm_' . $module_id	=> array('lang' => 'WOWHEROES_REALM',		'validate' => 'string',	'type' => 'text:30:30',	'explain' => true),

				'board3_wowheroesguild_' . $module_id	=> array('lang' => 'WOWHEROES_GUILD',		'validate' => 'string',	'type' => 'text:24:24',	'explain' => true),

         )

      );

   }

	// THEME
		public function select_wowheroestheme($value, $key, $module_id)
	{
		global $db, $cache;
		
		$ext_options = '<select id="' . $key . '" name="' . $key . '[]">';
		if ($value == 'ui-tooltip-tipsy') {$ext_options .= '<option value="ui-tooltip-tipsy" selected="selected">Wowhead style</option>';}
		else {$ext_options .= '<option value="ui-tooltip-tipsy">Wowhead style</option>';}
		if ($value == 'ui-tooltip-plain') {$ext_options .= '<option value="ui-tooltip-plain" selected="selected">Plain</option>';}
		else {$ext_options .= '<option value="ui-tooltip-plain">Plain</option>';}
		if ($value == 'ui-tooltip-dark') {$ext_options .= '<option value="ui-tooltip-dark" selected="selected">Dark</option>';}
		else {$ext_options .= '<option value="ui-tooltip-dark">Dark</option>';}
		if ($value == 'ui-tooltip-light') {$ext_options .= '<option value="ui-tooltip-light" selected="selected">Light</option>';}
		else {$ext_options .= '<option value="ui-tooltip-light">Light</option>';}
		if ($value == 'ui-tooltip-red') {$ext_options .= '<option value="ui-tooltip-red" selected="selected">Red</option>';}
		else {$ext_options .= '<option value="ui-tooltip-red">Red</option>';}
		if ($value == 'ui-tooltip-blue') {$ext_options .= '<option value="ui-tooltip-blue" selected="selected">Blue</option>';}
		else {$ext_options .= '<option value="ui-tooltip-blue">Blue</option>';}
		if ($value == 'ui-tooltip-green') {$ext_options .= '<option value="ui-tooltip-green" selected="selected">Green</option>';}
		else {$ext_options .= '<option value="ui-tooltip-green">Green</option>';}
		if ($value == 'ui-tooltip-custom') {$ext_options .= '<option value="ui-tooltip-custom" selected="selected">Custom</option>';}
		else {$ext_options .= '<option value="ui-tooltip-custom">Custom</option>';}
		
		$ext_options .= '</select>';
		
		return $ext_options;
	}
	
	public function store_wowheroestheme($key, $module_id)
	{
		global $db, $cache;
		
		// Get selected extensions
		$values = request_var($key, array(0 => ''));
		$valuess = implode(',', $values);
		set_config($key, $valuess);

	}
	//end THEME	



	/**

	* API functions

	*/

	public function install($module_id)

	{
		$this->config->set('board3_wowheroestheme_' . $module_id, 'ui-tooltip-tipsy');
		$this->config->set('board3_wowheroesregion_' . $module_id, 'eu');
		$this->config->set('board3_wowheroesrealm_' . $module_id, 'Stormrage');
		$this->config->set('board3_wowheroesguild_' . $module_id, 'Pretereo');
		return true;

	}



	public function uninstall($module_id, $db)

	{



		$this->config->delete('board3_wowheroesregion_' . $module_id);

		$this->config->delete('board3_wowheroesrealm_' . $module_id);

		$this->config->delete('board3_wowheroesguild_' . $module_id);
		$this->config->delete('board3_wowheroestheme_' . $module_id);
		return true;

	}

}

